Index: pjproject/main/pjlib/build/pjlib.vcproj
===================================================================
--- pjproject/main/pjlib/build/pjlib.vcproj	(revision 1)
+++ pjproject/main/pjlib/build/pjlib.vcproj	(revision 6)
@@ -4,9 +4,8 @@
 	Version="7.10"
 	Name="pjlib"
-	ProjectGUID="{72790D99-35BB-45AC-9A23-3BB60C901E63}"
-	SccProjectName="&quot;$/pjproject&quot;, PIAAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="..\.."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -16,6 +15,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlib_vc7_Debug"
-			IntermediateDirectory=".\output\pjlib_vc7_Debug"
+			OutputDirectory=".\output\pjlib-i386-win32-vc7-debug"
+			IntermediateDirectory=".\output\pjlib-i386-win32-vc7-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -25,12 +24,12 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				AdditionalIncludeDirectories="../include"
+				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\pjlib_vc7_Debug/pjlib.pch"
-				AssemblerListingLocation=".\output\pjlib_vc7_Debug/"
-				ObjectFile=".\output\pjlib_vc7_Debug/"
-				ProgramDataBaseFileName=".\output\pjlib_vc7_Debug/"
+				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc7-debug/pjlib.pch"
+				AssemblerListingLocation=".\output\pjlib-i386-win32-vc7-debug/"
+				ObjectFile=".\output\pjlib-i386-win32-vc7-debug/"
+				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc7-debug/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -42,5 +41,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlib_vc7sd.lib"
+				OutputFile="../lib/pjlib-i386-win32-vc7-debug.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -67,6 +66,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlib_vc7_Release"
-			IntermediateDirectory=".\output\pjlib_vc7_Release"
+			OutputDirectory="\.output\pjlib-i386-win32-vc7-release"
+			IntermediateDirectory=".\output\pjlib-i386-win32-vc7-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -77,14 +76,13 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				AdditionalIncludeDirectories="../include"
+				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlib_vc7_Release/pjlib.pch"
-				AssemblerListingLocation=".\output\pjlib_vc7_Release/"
-				ObjectFile=".\output\pjlib_vc7_Release/"
-				ProgramDataBaseFileName=".\output\pjlib_vc7_Release/"
+				PrecompiledHeaderFile=".\output\pjlib-i386-win32-vc7-release/pjlib.pch"
+				AssemblerListingLocation=".\output\pjlib-i386-win32-vc7-release/"
+				ObjectFile=".\output\pjlib-i386-win32-vc7-release/"
+				ProgramDataBaseFileName=".\output\pjlib-i386-win32-vc7-release/"
 				BrowseInformation="1"
 				WarningLevel="4"
@@ -96,5 +94,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlib_vc7s.lib"
+				OutputFile="../lib/pjlib-i386-win32-vc7-release.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -127,4 +125,26 @@
 			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
 			<File
+				RelativePath="..\src\pj\addr_resolv_sock.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\pj\array.c">
 				<FileConfiguration
@@ -150,4 +170,67 @@
 			<File
 				RelativePath="..\src\pj\config.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\equeue_winnt.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\errno.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -218,4 +301,26 @@
 			</File>
 			<File
+				RelativePath="..\src\pj\guid_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\pj\hash.c">
 				<FileConfiguration
@@ -252,5 +357,6 @@
 				</FileConfiguration>
 				<FileConfiguration
-					Name="Release|Win32">
+					Name="Release|Win32"
+					ExcludedFromBuild="TRUE">
 					<Tool
 						Name="VCCLCompilerTool"
@@ -263,4 +369,24 @@
 			<File
 				RelativePath="..\src\pj\ioqueue_winnt.c">
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="TRUE">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -287,4 +413,26 @@
 			</File>
 			<File
+				RelativePath="..\src\pj\lock.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\pj\log.c">
 				<FileConfiguration
@@ -309,11 +457,156 @@
 			</File>
 			<File
-				RelativePath="..\src\pj\log_stdout.c">
+				RelativePath="..\src\pj\log_writer_stdout.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
 				RelativePath="..\src\pj\md5.c">
-			</File>
-			<File
-				RelativePath="..\src\pj\os_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\os_core_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\os_error_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\os_time_ansi.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\os_timestamp_common.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\os_timestamp_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -341,4 +634,23 @@
 			<File
 				RelativePath="..\src\pj\pool_caching.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -365,5 +677,46 @@
 			</File>
 			<File
-				RelativePath="..\src\pj\pool_policy.c">
+				RelativePath="..\src\pj\pool_policy_malloc.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\rand.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -412,5 +765,27 @@
 			</File>
 			<File
-				RelativePath="..\src\pj\sock.c">
+				RelativePath="..\src\pj\sock_bsd.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\sock_select.c">
 				<FileConfiguration
 					Name="Debug|Win32">
@@ -457,7 +832,45 @@
 			<File
 				RelativePath="..\src\pj\stun.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
 				RelativePath="..\src\pj\stun_client.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -507,5 +920,388 @@
 			<File
 				RelativePath="..\src\pj\xml.c">
-			</File>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<Filter
+				Name="Other Targets"
+				Filter="">
+				<File
+					RelativePath="..\src\pj\addr_resolv_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\guid_simple.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\ioqueue_dummy.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\ioqueue_epoll.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\log_writer_printk.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_core_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_core_unix.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_error_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_error_unix.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_time_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_timestamp_linux.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\os_timestamp_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\pool_policy_kmalloc.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\sock_linux_kernel.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\symbols.c">
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="TRUE">
+						<Tool
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+			</Filter>
 		</Filter>
 		<Filter
@@ -513,69 +1309,172 @@
 			Filter="h;hpp;hxx;hm;inl">
 			<File
-				RelativePath="..\src\pj\array.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\compat.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\config.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\except.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\fifobuf.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\guid.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\hash.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\ioqueue.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\list.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\log.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\md5.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\os.h">
-			</File>
-			<File
-				RelativePath="..\src\pjlib.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\pool.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\rbtree.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\scanner.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\sock.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\string.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\stun.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\timer.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\types.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\xml.h">
-			</File>
+				RelativePath="..\include\pj\addr_resolv.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\array.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\assert.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\config.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\config_site.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\ctype.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\doxygen.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\equeue.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\errno.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\except.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\fifobuf.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\guid.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\hash.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\ioqueue.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\list.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\lock.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\log.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\md5.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\os.h">
+			</File>
+			<File
+				RelativePath="..\include\pjlib.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\pool.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\rand.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\rbtree.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\scanner.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\sock.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\sock_select.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\string.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\stun.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\timer.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\types.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\xml.h">
+			</File>
+			<Filter
+				Name="compat"
+				Filter="">
+				<File
+					RelativePath="..\include\pj\compat\assert.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\cc_gcc.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\cc_msvc.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\ctype.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\errno.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\high_precision.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\m_alpha.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\m_i386.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\m_m68k.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\malloc.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\os_linux.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\os_linux_kernel.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\os_palmos.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\os_win32.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\rand.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\setjmp.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\size_t.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\socket.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\sprintf.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\stdarg.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\stdfileio.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\string.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\time.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\vsprintf.h">
+				</File>
+			</Filter>
 		</Filter>
 		<Filter
@@ -583,23 +1482,11 @@
 			Filter="">
 			<File
-				RelativePath="..\src\pj\array_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\list_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\pool_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\scanner_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\sock_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\string_i.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\timer_i.h">
+				RelativePath="..\include\pj\list_i.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\pool_i.h">
+			</File>
+			<File
+				RelativePath="..\include\pj\string_i.h">
 			</File>
 		</Filter>
